Gutenberg error: “o is not a function”.

Last Updated on

A little meta-update, while I am here:

After updating gu10.blog to WP 5.3 I spotted an error `o is not a function` when trying to update my content.

I also noticed that this error was hiding my categories and tags from the sidebar.

I noticed the error has already been reported here ,for now I will have to disable the plugin and continue with the core 6.7 version of Gutenberg.

UPDATE: It looks like the issue resurfaced and is again being discussed here:

https://github.com/WordPress/gutenberg/issues/17444#issuecomment-555444287

Duplicated block dependencies

Last Updated on

I noticed this message below while I was testing performance on gu10.blog (using GTMETRIX via ManageWP). I am curious as if there is already some strategy on the roadmap to address this problem.

The following resources have identical contents, but are served from different URLs. Serve these resources from a consistent URL to save 1 request(s) and 46.4KiB.

  • https://c0.wp.com/c/5.2.3/wp-includes/css/dashicons.min.css
  • https://s.w.org/wp-includes/css/dashicons.min.css?ver=5.3-beta1-46336

The following resources have identical contents, but are served from different URLs. Serve these resources from a consistent URL to save 1 request(s) and 41.9KiB.

  • https://gu10.blog/wp-content/plugins/carousel-block/dist/assets/slick/slick.min.js?ver=5.2.3
  • https://gu10.blog/wp-content/plugins/gosign-posts-slider-block/src/js/slick/slick.min.js?ver=1

The following resources have identical contents, but are served from different URLs. Serve these resources from a consistent URL to save 1 request(s) and 1.3KiB.

  • https://gu10.blog/wp-content/plugins/getwid/vendors/slick/slick/fonts/slick.woff
  • https://gu10.blog/wp-content/plugins/gosign-posts-slider-block/src/block/slick/fonts/slick.woff